
var webpack = require('webpack'),
    pkg = require('./package.json');


var ENV = process.env.NODE_ENV || 'production';
var IS_DEV = ENV == 'dev';
var IS_PROD = ENV == 'production';


module.exports = {
  context: __dirname + '/src',
  entry: __dirname + '/src/ast.js',
  output: {
    path: __dirname + '/lib',
    filename: 'index.js',
    devtoolLineToLine: IS_DEV,
    pathinfo: IS_DEV,
    library: 'js-coder',
    libraryTarget: 'commonjs2'
  },
  target: 'node',
  debug: IS_DEV,
  cache: IS_DEV,
  module: {
    loaders: [
      {
        test: /\.js$/,
        loader: 'babel',
        exclude: /node_modules/,
        query: {
          presets: ['es2015', 'stage-0']
        }
      }
    ]
  }
};

